org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf

## Class PDPrintFieldAttributeObject

- java.lang.Object
- - org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper
  - - org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDAttributeObject
    - - org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDStandardAttributeObject
      - - org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDPrintFieldAttributeObject

All Implemented Interfaces:
  COSObjectable

    public class PDPrintFieldAttributeObject
    extends PDStandardAttributeObject

A PrintField attribute object.

Author:
  Johannes Koch

### Field Summary

Fields
`static String` `CHECKED_STATE_NEUTRAL` checked state: neutral
`static String` `CHECKED_STATE_OFF` checked state: off
`static String` `CHECKED_STATE_ON` checked state: on
`static String` `OWNER_PRINT_FIELD` standard attribute owner: PrintField
`static String` `ROLE_CB` role: cb: Check box
`static String` `ROLE_PB` role: pb: Push button
`static String` `ROLE_RB` role: rb: Radio button
`static String` `ROLE_TV` role: tv: Text-value field

### Fields inherited from class org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDStandardAttributeObject

`UNSPECIFIED`

### Constructor Summary

Constructors
Constructor and Description
`PDPrintFieldAttributeObject()` Default constructor.
`PDPrintFieldAttributeObject(COSDictionary dictionary)` Creates a new PrintField attribute object with a given dictionary.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAlternateName()` Gets the alternate name of the field (Desc).
`String` `getCheckedState()` Gets the checked state.
`String` `getRole()` Gets the role.
`void` `setAlternateName(String alternateName)` Sets the alternate name of the field (Desc).
`void` `setCheckedState(String checkedState)` Sets the checked state.
`void` `setRole(String role)` Sets the role.
`String` `toString()`

### Methods inherited from class org.apache.pdfbox.pdmodel.documentinterchange.taggedpdf.PDStandardAttributeObject

`getArrayOfString, getColor, getColorOrFourColors, getInteger, getName, getName, getNameOrArrayOfName, getNumber, getNumber, getNumberOrArrayOfNumber, getNumberOrName, getString, isSpecified, setArrayOfName, setArrayOfNumber, setArrayOfString, setColor, setFourColors, setInteger, setName, setNumber, setNumber, setString`

### Methods inherited from class org.apache.pdfbox.pdmodel.documentinterchange.logicalstructure.PDAttributeObject

`arrayToString, arrayToString, create, getOwner, isEmpty, notifyChanged, potentiallyNotifyChanged, setOwner, setStructureElement`

### Methods inherited from class org.apache.pdfbox.pdmodel.common.PDDictionaryWrapper

`equals, getCOSObject, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### OWNER_PRINT_FIELD

    public static final String OWNER_PRINT_FIELD

standard attribute owner: PrintField

See Also:
  Constant Field Values

#### ROLE_RB

    public static final String ROLE_RB

role: rb: Radio button

See Also:
  Constant Field Values

#### ROLE_CB

    public static final String ROLE_CB

role: cb: Check box

See Also:
  Constant Field Values

#### ROLE_PB

    public static final String ROLE_PB

role: pb: Push button

See Also:
  Constant Field Values

#### ROLE_TV

    public static final String ROLE_TV

role: tv: Text-value field

See Also:
  Constant Field Values

#### CHECKED_STATE_ON

    public static final String CHECKED_STATE_ON

checked state: on

See Also:
  Constant Field Values

#### CHECKED_STATE_OFF

    public static final String CHECKED_STATE_OFF

checked state: off

See Also:
  Constant Field Values

#### CHECKED_STATE_NEUTRAL

    public static final String CHECKED_STATE_NEUTRAL

checked state: neutral

See Also:
  Constant Field Values

### Constructor Detail

#### PDPrintFieldAttributeObject

    public PDPrintFieldAttributeObject()

Default constructor.

#### PDPrintFieldAttributeObject

    public PDPrintFieldAttributeObject(COSDictionary dictionary)

Creates a new PrintField attribute object with a given dictionary.

Parameters:
  `dictionary` - the dictionary

### Method Detail

#### getRole

    public String getRole()

Gets the role.

Returns:
  the role

#### setRole

    public void setRole(String role)

Sets the role. The value of Role shall be one of the following:

- `ROLE_RB`,
- `ROLE_CB`,
- `ROLE_PB`,
- `ROLE_TV`.

Parameters:
  `role` - the role

#### getCheckedState

    public String getCheckedState()

Gets the checked state. The default value is `CHECKED_STATE_OFF`.

Returns:
  the checked state

#### setCheckedState

    public void setCheckedState(String checkedState)

Sets the checked state. The value shall be one of:

- `CHECKED_STATE_ON`,
- `CHECKED_STATE_OFF` (default), or
- `CHECKED_STATE_NEUTRAL`.

Parameters:
  `checkedState` - the checked state

#### getAlternateName

    public String getAlternateName()

Gets the alternate name of the field (Desc).

Returns:
  the alternate name of the field

#### setAlternateName

    public void setAlternateName(String alternateName)

Sets the alternate name of the field (Desc).

Parameters:
  `alternateName` - the alternate name of the field

#### toString

    public String toString()

Overrides:
  `toString` in class `PDAttributeObject`